Skip to main content
GET
/
admin
/
stores
/
{id}
JS SDK
import Medusa from "@medusajs/js-sdk"

export const sdk = new Medusa({
  baseUrl: import.meta.env.VITE_BACKEND_URL || "/",
  debug: import.meta.env.DEV,
  auth: {
    type: "session",
  },
})

sdk.admin.store.retrieve("store_123")
.then(({ store }) => {
  console.log(store)
})
{ "store": { "id": "<string>", "name": "<string>", "supported_currencies": [ { "id": "<string>", "currency_code": "usd", "store_id": "<string>", "is_default": true, "currency": { "code": "usd", "symbol": "$", "symbol_native": "$", "name": "<string>", "decimal_digits": 123, "rounding": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" } ], "default_sales_channel_id": "<string>", "default_region_id": "<string>", "default_location_id": "<string>", "metadata": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "supported_locales": [ { "id": "<string>", "locale_code": "<string>", "store_id": "<string>", "locale": { "code": "fr-FR", "name": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "deleted_at": "2023-11-07T05:31:56Z" } ] } }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The store's ID.

Query Parameters

fields
string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Response

OK

The store's details.

store
object
required

The store's details.